<?php
	include_once(__DIR__."/../../../core.php");
	
	$rs = $dbo->fetchArray("SELECT *, DATEDIFF( data_conclusione, NOW() ) AS giorni_rimanenti, (SELECT ragione_sociale FROM an_anagrafiche WHERE idanagrafica=co_contratti.idanagrafica) AS ragione_sociale FROM co_contratti WHERE idstato IN(SELECT id FROM co_staticontratti WHERE descrizione='Accettato' OR descrizione='In lavorazione' OR descrizione='In attesa di pagamento') AND rinnovabile=1 AND NOW() > DATE_ADD( data_conclusione, INTERVAL -ABS(giorni_preavviso_rinnovo) DAY) AND YEAR(data_conclusione) > 1970 ORDER BY giorni_rimanenti ASC");
	$n_contratti = sizeof($rs);

	if( sizeof($rs)>0 ){
		echo "<table class='table table-hover'>\n";
		echo "<tr><th width='50%'>Contratto</th>\n";
		echo "<th width='15%'>Data inizio</th>\n";
		echo "<th width='15%'>Data conclusione</th>\n";
		echo "<th width='20%'>Rinnovo</th></tr>\n";

		for( $i=0; $i<sizeof($rs); $i++ ){
			$data_accettazione = date( "d/m/Y", strtotime($rs[$i]['data_accettazione']) );
			if( $data_accettazione=='01/01/1970' ){ $data_accettazione=''; }

			$data_conclusione = date( "d/m/Y", strtotime($rs[$i]['data_conclusione']) );
			if( $data_conclusione=='01/01/1970' ){ $data_conclusione=''; }
			
			//Se scaduto, segna la riga in rosso
			if( strtotime($rs[$i]['data_conclusione']) < strtotime(date("Y-m-d")) && $data_conclusione != '' )
				$class = 'danger';
			else
				$class = '';
			
			$giorni_rimanenti = $rs[$i]['giorni_rimanenti'];
			if( $giorni_rimanenti > 0 )
				$scadenza = "scade fra ".$giorni_rimanenti." giorni";
			else
				$scadenza = "scaduto da ".(-$giorni_rimanenti)." giorni";
			
			

			echo "<tr class=\"".$class."\"><td class='first_cell'><a href='".$rootdir."/editor.php?id_module=".$modules_info['Canoni Assistenza']['id']."&id_record=".$rs[$i]['id']."'>".$rs[$i]['nome']."</a><br><small class='help-block'>".$rs[$i]['ragione_sociale']."</small></td>\n";
			echo "<td class='table_cell center' $attr>".$data_accettazione."</td>\n";
			echo "<td class='table_cell center' $attr>".$data_conclusione."</td>\n";
			echo "<td class='table_cell center' $attr>".$scadenza."</td></tr>\n";
		}
		echo "</table><br/>\n";
	}
	
	else{
		echo "<p>Non ci sono contratti in scadenza.</p>\n";
	}
?>
